Apcupsd-gui replacement revisted

I have been using apcupsd-gui on my Leap 15.5 version and now need to use it on TW. Unfortunately I have found it will not be available: see the note from Malcolm:-

- Conditionally disable build for gcapmon for Tumbleweed and newer
  via bcond. Gconf-2 is being removed from Tumbleweed, as it is
  deprecated and archived upstream.

I can understand there may be reasons beyond my ken why the app is no longer available but would it be possible to build a replacement equivalent which does not rely on deprecated software?

Meanwhile how difficult would it be to remove the disabling so users can get what they need for work?

As already pointed out in another thread regarding this topic, there is apcupsd-cgi available. It is the web interface for apcupsd.

But apcupsd seems rather dead. The last release is from half a decade ago and no activity sinceā€¦

I have the app in my Leap15.5 work machines. What I do not know is how do I get it installed in my TW machine. You advise it is available but from where and will it be compiled for openSUSE Tumbleweed. As advised in my quotation gconf-2 is not in TW and compiling and building from source is a bit beyond me.
What do you suggest?

Please read carefully again. apcupsd-cgi is available in Tumbleweed.

:~> LANG=C zypper if apcupsd-cgi
Loading repository data...
Reading installed packages...


Information for package apcupsd-cgi:
------------------------------------
Repository     : repo-oss
Name           : apcupsd-cgi
Version        : 3.14.14-15.5
Arch           : x86_64
Vendor         : openSUSE
Installed Size : 121.0 KiB
Installed      : No
Status         : not installed
Source package : apcupsd-3.14.14-15.5.src
Upstream URL   : http://www.apcupsd.com/
Summary        : Web interface for apcupsd
Description    : 
    A CGI interface to the APC UPS monitoring daemon.

Hi and many thanks. I know that the cgi is available but what I am looking for is the gapcmon tool which is in the apcupsd-gui.
I know I can use the web access using cgi and have used this with apache2 server but the functionality I want if possible is in the gui. Can you help please?

Hi,
I looked at building but well beyond me as tar file is well out of date.
In the end I used the app from the Leap 15.5 repo and installed the required gconf2 package.

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.